/* NOTE: The .uk-theme- prefix is mandatory */
/* IMPORTANT: These colors have to be provided in HSL format to work correctly with
   tailwind utilitiy classes like bg-.../50. One can use the `from #ff0000 h s l` css
   function to archive this with hex colors*/

.uk-theme-leitwert {
	--background: 0 0% 99.6%;
	--foreground: 240 14.29% 4.12%;
	--border: 78 2% 93%;
	--primary: 39 100% 72.94%;
	--primary-foreground: 0 0% 0%;
	--secondary: 78 8% 81%;
	--secondary-foreground: 78 8% 21%;
	--muted: 229 15.6% 21.37%;
	--muted-foreground: 0 0% 99.6%;
	/* --muted: 78 12% 85%; */
	/* --muted-foreground: 78 8% 38%; */
	/* --popover: 78 47% 99%; */
	/* --popover-foreground: 78 51% 0%; */
	/* --card: 78 47% 99%; */
	/* --card-foreground: 78 51% 0%; */
	/* --input: 78 2% 93%; */
	/* --accent: 78 8% 81%; */
	/* --accent-foreground: 78 8% 21%; */
	/* --destructive: 17 86% 32%; */
	/* --destructive-foreground: 17 86% 92%; */
	/* --ring: 78 28% 60%; */
	/* --chart-1: 78 28% 60%; */
	/* --chart-2: 78 8% 81%; */
	/* --chart-3: 78 8% 81%; */
	/* --chart-4: 78 8% 84%; */
	/* --chart-5: 78 31% 60%; */
	--radius: 0.5rem;
}

.dark.uk-theme-leitwert {
	--background: 227 7.45% 36.86%;
	--foreground: 0 0% 99.6%;
}

/*
NOTE: We modify the existing "blue" theme so we can use it as standard when visiting the site
DOCS: https://github.com/AnswerDotAI/MonsterUI/blob/365ef02c08974ee22b9b9777808b4ead5a1304b5/monsterui/core.py#L109 */
.uk-theme-all_hands {
	--background: from #ffffff h s l;
	--foreground: from #0e1613 h s l;
	--muted: from #a0c5b7 h s l;
	--muted-foreground: from #273f36 h s l;
	--popover: 78 47% 99%;
	--popover-foreground: 78 51% 0%;
	--card: from #eff5f3 h s l;
	--card-foreground: from #0e1613 h s l;
	--border: 78 2% 93%;
	--input: 78 2% 93%;
	--primary: 157.4 23.9% 50%;
	--primary-foreground: 0 0% 0%;
	--secondary: 78 8% 81%;
	--secondary-foreground: 78 8% 21%;
	--accent: 78 8% 81%;
	--accent-foreground: 78 8% 21%;
	--destructive: 17 86% 32%;
	--destructive-foreground: 17 86% 92%;
	--ring: 78 28% 60%;
	--chart-1: 78 28% 60%;
	--chart-2: 78 8% 81%;
	--chart-3: 78 8% 81%;
	--chart-4: 78 8% 84%;
	--chart-5: 78 31% 60%;
	--radius: 1rem;
}

.dark.uk-theme-all_hands {
	--background: 78 48% 2%;
	--foreground: 78 24% 99%;
	--muted: 78 12% 15%;
	--muted-foreground: 78 8% 62%;
	--popover: 78 48% 2%;
	--popover-foreground: 78 24% 99%;
	--card: 78 48% 2%;
	--card-foreground: 78 24% 99%;
	--border: 78 2% 14%;
	--input: 78 2% 14%;
	--primary: 78 28% 60%;
	--primary-foreground: 0 0% 0%;
	--secondary: 78 8% 14%;
	--secondary-foreground: 78 8% 74%;
	--accent: 78 8% 14%;
	--accent-foreground: 78 8% 74%;
	--destructive: 17 86% 60%;
	--destructive-foreground: 17 86% 0%;
	--ring: 78 28% 60%;
	--chart-1: 78 28% 60%;
	--chart-2: 78 8% 14%;
	--chart-3: 78 8% 14%;
	--chart-4: 78 8% 17%;
	--chart-5: 78 31% 60%;
}
